Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joda.time
Class MutableDateTime.Property

    java.lang.Object
      org.joda.time.field.AbstractReadableInstantFieldProperty
          org.joda.time.MutableDateTime.Property

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  MutableDateTime

    public static final class MutableDateTime.Property

extends AbstractReadableInstantFieldProperty

MutableDateTime.Property binds a MutableDateTime to a DateTimeField allowing powerful datetime functionality to be easily accessed.

The example below shows how to use the property to change the value of a MutableDateTime object.

     MutableDateTime dt = new MutableDateTime(1972, 12, 3, 13, 32, 19, 123);
     dt.year().add(20);
     dt.second().roundFloor().minute().set(10);

MutableDateTime.Propery itself is thread-safe and immutable, but the MutableDateTime being operated on is not.

Since:
  1.0
Author:
  Stephen Colebourne, Brian S O'Neill
See Also:
  Serialized Form

Method Summary
`MutableDateTime` | `add(int value)` Adds a value to the millis value.
`MutableDateTime` | `add(long value)` Adds a value to the millis value.
`MutableDateTime` | `addWrapField(int value)` Adds a value, possibly wrapped, to the millis value.
`protected Chronology` | `getChronology()` Gets the chronology of the datetime that this property is linked to.
`DateTimeField` | `getField()` Gets the field being used.
`protected long` | `getMillis()` Gets the milliseconds of the datetime that this property is linked to.
`MutableDateTime` | `getMutableDateTime()` Gets the mutable datetime being used.
`MutableDateTime` | `roundCeiling()` Round to the highest whole unit of this field.
`MutableDateTime` | `roundFloor()` Round to the lowest whole unit of this field.
`MutableDateTime` | `roundHalfCeiling()` Round to the nearest whole unit of this field, favoring the ceiling if halfway.
`MutableDateTime` | `roundHalfEven()` Round to the nearest whole unit of this field.
`MutableDateTime` | `roundHalfFloor()` Round to the nearest whole unit of this field, favoring the floor if halfway.
`MutableDateTime` | `set(int value)` Sets a value.
`MutableDateTime` | `set(java.lang.String text)` Sets a text value.
`MutableDateTime` | `set(java.lang.String text, java.util.Locale locale)` Sets a text value.

Methods inherited from class org.joda.time.field.AbstractReadableInstantFieldProperty
`compareTo, compareTo, equals, get, getAsShortText, getAsShortText, getAsString, getAsText, getAsText, getDifference, getDifferenceAsLong, getDurationField, getFieldType, getLeapAmount, getLeapDurationField, getMaximumShortTextLength, getMaximumTextLength, getMaximumValue, getMaximumValueOverall, getMinimumValue, getMinimumValueOverall, getName, getRangeDurationField, hashCode, isLeap, remainder, toInterval, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getField

    public DateTimeField getField()

  Gets the field being used.

  Specified by:
    `getField` in class `AbstractReadableInstantFieldProperty`
  Returns:
    the field

### getMillis

    protected long getMillis()

  Gets the milliseconds of the datetime that this property is linked to.

  Specified by:
    `getMillis` in class `AbstractReadableInstantFieldProperty`
  Returns:
    the milliseconds

### getChronology

    protected Chronology getChronology()

  Gets the chronology of the datetime that this property is linked to.

  Overrides:
    `getChronology` in class `AbstractReadableInstantFieldProperty`
  Returns:
    the chronology
  Since:
    1.4

### getMutableDateTime

    public MutableDateTime getMutableDateTime()

  Gets the mutable datetime being used.

  Returns:
    the mutable datetime

### add

    public MutableDateTime add(int value)

  Adds a value to the millis value.

  Parameters:
    `value` - the value to add
  Returns:
    the mutable datetime being used, so calls can be chained
  See Also:
    `DateTimeField.add(long,int)`

### add

    public MutableDateTime add(long value)

  Adds a value to the millis value.

  Parameters:
    `value` - the value to add
  Returns:
    the mutable datetime being used, so calls can be chained
  See Also:
    `DateTimeField.add(long,long)`

### addWrapField

    public MutableDateTime addWrapField(int value)

  Adds a value, possibly wrapped, to the millis value.

  Parameters:
    `value` - the value to add
  Returns:
    the mutable datetime being used, so calls can be chained
  See Also:
    `DateTimeField.addWrapField(long, int)`

### set

    public MutableDateTime set(int value)

  Sets a value.

  Parameters:
    `value` - the value to set.
  Returns:
    the mutable datetime being used, so calls can be chained
  See Also:
    `DateTimeField.set(long,int)`

### set

    public MutableDateTime set(java.lang.String text,
                               java.util.Locale locale)

  Sets a text value.

  Parameters:
    `text` - the text value to set
    `locale` - optional locale to use for selecting a text symbol
  Returns:
    the mutable datetime being used, so calls can be chained
  Throws:
    `java.lang.IllegalArgumentException` - if the text value isn't valid
  See Also:
    `DateTimeField.set(long,java.lang.String,java.util.Locale)`

### set

    public MutableDateTime set(java.lang.String text)

  Sets a text value.

  Parameters:
    `text` - the text value to set
  Returns:
    the mutable datetime being used, so calls can be chained
  Throws:
    `java.lang.IllegalArgumentException` - if the text value isn't valid
  See Also:
    `DateTimeField.set(long,java.lang.String)`

### roundFloor

    public MutableDateTime roundFloor()

  Round to the lowest whole unit of this field.

  Returns:
    the mutable datetime being used, so calls can be chained
  See Also:
    `DateTimeField.roundFloor(long)`

### roundCeiling

    public MutableDateTime roundCeiling()

  Round to the highest whole unit of this field.

  Returns:
    the mutable datetime being used, so calls can be chained
  See Also:
    `DateTimeField.roundCeiling(long)`

### roundHalfFloor

    public MutableDateTime roundHalfFloor()

  Round to the nearest whole unit of this field, favoring the floor if halfway.

  Returns:
    the mutable datetime being used, so calls can be chained
  See Also:
    `DateTimeField.roundHalfFloor(long)`

### roundHalfCeiling

    public MutableDateTime roundHalfCeiling()

  Round to the nearest whole unit of this field, favoring the ceiling if halfway.

  Returns:
    the mutable datetime being used, so calls can be chained
  See Also:
    `DateTimeField.roundHalfCeiling(long)`

### roundHalfEven

    public MutableDateTime roundHalfEven()

  Round to the nearest whole unit of this field. If halfway, the ceiling is favored over the floor only if it makes this field's value even.

  Returns:
    the mutable datetime being used, so calls can be chained
  See Also:
    `DateTimeField.roundHalfEven(long)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD